Bug 28347 - anoconda reports internal error while performing upgrade
anoconda reports internal error while performing upgrade
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-19 16:43 EST by Quentin Gunn
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-21 17:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Quentin Gunn 2001-02-19 16:43:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.18 i586)

I have a redhat version 7.0 on a laptop which saw linux initially wih
redhat 6.2. The
latest beta release progresses to questioning user about the keyboard,
makes some 
complaints about the Xserver and then reports an internal error. It points
to line 503
in intf.run(todo, test=test) after which a request is made to make an entry
to bugzilla.. 
That was it. I have the file anacdump.txt  for reference

Reproducible: Always
Steps to Reproduce:
1.Start laptop with Boot CD rom and select expert mode
2.Enter update mode and make entry for language and keyboard selection.


Actual Results:  Installation is halted with a report of internal error and
requests a floppy and that 
the error be reported. Installation is not able to proceed further. The
included text files was saved to floppy

Expected Results:  I guess some more questions about the installation such
as timezone and disk

The laptop has a SiS 630 graphics chip. I use partition magic and the /
is /dev/hda5
The following is the first ffew lines of the file anacdump.txt

[root@xj220 qgunn]# more /mnt/floppy/anacdump.txt
Traceback (innermost last):
  File "/usr/bin/anaconda", line 503, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1173, in run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 377, in
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1080, in
    allowDirty = 0)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/upgrade.py", line 100, in
    intf.messageWindow(("Dirty Filesystems"),
NameError: intf

Local variables in innermost frame:
rootFs: ext2
rootInfo: ('hda5', 'ext2')
root: hda5
allowDirty: 0
instPath: /mnt/sysimage
theFstab: <fstab.NewtFstab instance at 828faa0>
mdList: []

ToDo object:
Comment 1 Glen Foster 2001-02-21 10:06:38 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Michael Fulbright 2001-02-21 17:32:28 EST
Fixed in internal CVS.

It was about to tell you that you were trying to upgrade a system with dirty
filesystems. You need to reboot into the previous version and let it clean the
filesystems, then shutdown cleanly and try installing again.
Comment 3 Quentin Gunn 2001-02-22 03:29:09 EST
I tried to perform the upgrade on 3 seperate occassions. It behaved the same on
all three occassions. On all occassions
the file-system was shut-down cleanly during the previous run as far as I can
recollect. I can try again once more. 
Could the fact that there is a win98 partition on the disk be a reason why the
installer believes that the file-system is 
not clean. Does it make sense to check the partitions with partitionmagic before
hand?? I have partitionmagic 6.0..
Is any negative interaction to be suspected??

Note You need to log in before you can comment on or make changes to this bug.